core::trust::Store::Errors::ErrorResettingStore Struct Reference

Thrown if a store implementation could not reset state and drop all previously stored requests. More...

`#include <store.h>`

Inheritance diagram for core::trust::Store::Errors::ErrorResettingStore:
Collaboration diagram for core::trust::Store::Errors::ErrorResettingStore:

## Public Member Functions

| ErrorResettingStore (const char *implementation_specific)

## Detailed Description

Thrown if a store implementation could not reset state and drop all previously stored requests.

Definition at line 73 of file store.h.

## Constructor & Destructor Documentation

core::trust::Store::Errors::ErrorResettingStore::ErrorResettingStore | ( | const char * | implementation_specific | ) |

inline

Definition at line 75 of file store.h.

The documentation for this struct was generated from the following file:

- /build/trust-store-uD3f_u/trust-store-2.0.0+16.04.20160119/include/core/trust/store.h